{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
        <div class="page-wrapper">
            <div class="page-breadcrumb">
                <div class="row align-items-center">
                    <div class="col-5">
                        <h4 class="page-title">Edit User</h4>
                    </div>
                </div>
            </div>

            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-4 col-xlg-3 col-md-5">
                        <div class="card">
                            <div class="card-body">
                                <center class="m-t-30"> <img src="https://www.bootdey.com/img/Content/avatar/avatar7.png"
                                        class="rounded-circle" width="150" />
                                    <h4 class="card-title m-t-10">{{users.username}}</h4>
                                    <h6 class="card-subtitle" style="color:black;">Last login at : {{users.last_login_at}}</h6>
                                    <h6 class="card-subtitle"style="color:black;">Account created : {{users.created_at.strftime('%A,%d,%Y || %H:%M')}}</h6>
                                </center>
                            </div>
                            <div>
                                <hr>
                            </div>
                            <div class="card-body"> 
                            <small class="text-muted">Email address </small>
                                <h6>{{users.email}}</h6>
                             <small class="text-muted p-t-30 db">Credit :</small>
                                <h6>{{users.credit}}</h6>
                                <div class="map-box">
                                   
                                </div> <small class="text-muted p-t-30 db">Core setting :</small>
                                <br />
                                <a class="btn btn-circle btn-danger" data-toggle="modal" data-target="#exampleModal"><i class=" mdi mdi-delete-forever"></i></a>
                                <!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel"><i class=" mdi mdi-delete-forever"></i> Delete confirmation !</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
         Are you sure want to delete <b style='color:red;'>{{users.username}}</b> forever .!
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <a class="btn btn-danger" href="{{ url_for('dash.deluser', id=users.id) }}"><i class=" mdi mdi-delete-forever"></i> Delete</a>
        </div>
      </div>
    </div>
  </div>

                            </div>
                        </div>
                    </div>

                    <div class="col-lg-8 col-xlg-9 col-md-7">
                        <div class="card">
                            <div class="card-body">
                                <form class="form-horizontal form-material" method="POST">
                                    {{ form.csrf_token }}
                                    <div class="form-group">
                                        <label class="col-md-12">Credit : </label>
                                        <div class="col-md-12">
                                            {{ form.credit(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="example-email" class="col-md-12">Affiliate code : </label>
                                        <div class="col-md-12">
                                           
                                                {{ form.affiliate_code(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Subscription link : </label>
                                        <div class="col-md-12">
                                            {{ form.m3u(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                    </div>
                                    <center>
                                    <hr>
                                    <h4>Privileges  ***___***</h4>
                                    <hr>
                                    <div class="form-group">
                                        <label class="col-md-12">Add user to resellers :</label>
                                        <div class="col-md-12">
                                            {{ form.is_reseller(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Add user to Administration :</label>
                                        <div class="col-md-12">
                                            {{ form.is_admin(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Add user to Subscribers :</label>
                                        <div class="col-md-12">
                                            {{ form.is_subscriber(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                    </div>
                           
                                
                                </center>
                               
                                    <div class="form-group">
                                        <div class="col-sm-12">
                                            <button class="btn btn-success" name="submit">Save</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
            {% endblock content %}
